commit:     fbfd8d9f2944528597aa0bf0925684ecda273785
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  4 12:25:21 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Thu Feb  4 12:25:31 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fbfd8d9f

dev-python/testtools: Version Bump

Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/testtools/Manifest               |  1 +
 dev-python/testtools/testtools-2.0.0.ebuild | 52 +++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/testtools/Manifest b/dev-python/testtools/Manifest
index fa1cddc..54b8c86 100644
--- a/dev-python/testtools/Manifest
+++ b/dev-python/testtools/Manifest
@@ -2,3 +2,4 @@ DIST testtools-0.9.36.tar.gz 201717 SHA256 
20a1b0d6325f1303ff8112a272047057b7321
 DIST testtools-1.8.0.tar.gz 207976 SHA256 
8afd6400fb4e75adb0b29bd09695ecb2024cd7befab4677a58c147701afadd97 SHA512 
b5f0201222d1e8c60fb7c2793bcd38e1c96c6f9fae99e9f3e784d17230c9abbf7325053d501c07e752bad2da36b49e2c79a25d0c20cb9a2f426057f839a77b3a
 WHIRLPOOL 
71d4082197a9c179862fc3c63eadc37d6ff776f0a62e5fb08c296a5bf7109dc5110a2104a1ed15ca97c523aa0afb9e7124805ec6a6ae18f7605d7641abd9c54a
 DIST testtools-1.8.1.tar.gz 209327 SHA256 
155ed29086e48156519e15f7801b702c15ba34d8700d80ba606101f448a3839f SHA512 
0bd765bd3cc82a38c980d251427f9f32d44c377aa753d2d83c36fb8cfaeb8a10cfc86a38899b89ff454fe11742ab5e309439980e12a8bbae19b3d9df799803d9
 WHIRLPOOL 
06f654e447b6ae42cffbff454886dc1016746bf218c90e89c4b9361af2dc709acdfdcd0100c1624dffc1f72dec5c8037dd4357aa373a6413abf945c0d27868e1
 DIST testtools-1.9.0.tar.gz 221760 SHA256 
b46eec2ad3da6e83d53f2b0eca9a8debb687b4f71343a074f83a16bbdb3c0644 SHA512 
d4d78fb3fd105789e1ee749c66f4612494557af963ba7c3bf5b3c322609bb2ce98c6027f714cbf71720fe248d72a459b554aa65374c6a0b56904b7dabb38a112
 WHIRLPOOL 
926e738afd86fe945765f9fa08fa40deed7e73db4f37eb2fca9fa30321e28cda9c99e86a1e583853fe1abf93919a71c808131d2cd0694cded3d7203a406fc8d9
+DIST testtools-2.0.0.tar.gz 224923 SHA256 
8237ab211cdeced2ff69e7b51c66ed8b1fd2aa0b338b1749609f9567646fad57 SHA512 
e27659bc1a21f20de7b8f3699198067e25024dfed68fc9553045a1356a8b46df494882b8946212e11c9cb5a1d4ce8882758839a4accf5bd01db4398ff9e0413d
 WHIRLPOOL 
db4daec29b6e1fbe4b9c6989af7f0c70dc70a0d39f84336a9885d1e977cbe0303bf5471342a1d74e0e6a7eb961945d6180153711229dc18e8fdbb9f92b4d6df8

diff --git a/dev-python/testtools/testtools-2.0.0.ebuild 
b/dev-python/testtools/testtools-2.0.0.ebuild
new file mode 100644
index 0000000..367c8a7
--- /dev/null
+++ b/dev-python/testtools/testtools-2.0.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Extensions to the Python standard library unit testing framework"
+HOMEPAGE="https://github.com/testing-cabal/testtools";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+CDEPEND="
+       dev-python/extras[${PYTHON_USEDEP}]
+       >=dev-python/fixtures-1.3.0[${PYTHON_USEDEP}]
+       dev-python/mimeparse[${PYTHON_USEDEP}]
+       >=dev-python/pbr-0.11[${PYTHON_USEDEP}]
+       dev-python/pyrsistent[${PYTHON_USEDEP}]
+       >=dev-python/unittest2-1.0.0[${PYTHON_USEDEP}]
+       dev-python/traceback2[${PYTHON_USEDEP}]
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CDEPEND}
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       test? (
+               dev-python/testscenarios[${PYTHON_USEDEP}]
+       )
+"
+RDEPEND="${CDEPEND}"
+
+python_compile_all() {
+       use doc && emake -C doc html
+}
+
+python_test() {
+       "${PYTHON}" -m testtools.run testtools.tests.test_suite || die "tests 
failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && HTML_DOCS=( doc/_build/html/. )
+
+       distutils-r1_python_install_all
+}

Reply via email to